iPagingFormerState Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iPagingFormerState Struct Reference

iPagingFormerState exposes implementation specific methods for the PagingTerraformer plugin More...

`#include <ivaria/pagingformer.h>`

Inheritance diagram for iPagingFormerState:

List of all members.

## Public Member Functions
virtual bool | SetFloatMap (csStringID type, iImage *map, float scale=1.0, float offset=0.0)=0
| Set a generic additional float map to be used.
virtual void | SetFloatmapDir (csStringID type, const char *path)=0
| Set a dir that contains only floatmaps named x0y0 and so on.
virtual void | SetHeightmapDir (const char *path, const char *type="image")=0
| Set a dir that contains only the heightmaps named x0y0 and so on.
virtual bool | SetIntegerMap (csStringID type, iImage *map, int scale=1, int offset=0)=0
| Set a generic additional integer map to be used.
virtual void | SetIntmapDir (csStringID type, const char *path)=0
| Set a dir that contains only intmaps named x0y0 and so on.
virtual void | SetOffset (csVector3 scale)=0
| Set a offset to be applied to the heightmap region (X, Z) and height (Y)
virtual void | SetScale (csVector3 scale)=0
| Set a scaling factor to be applied to the heightmap region (X, Z) and height (Y)

## Detailed Description

iPagingFormerState exposes implementation specific methods for the PagingTerraformer plugin

Definition at line 39 of file pagingformer.h.

## Member Function Documentation

virtual bool iPagingFormerState::SetFloatMap | ( | csStringID | type,
|  | iImage * | map,
|  | float | scale = `1.0`,
|  | float | offset = `0.0`
| ) |  | `[pure virtual]`

Set a generic additional float map to be used.

Parameters:

  type | The ID for this map. To get values of this you need to fetch the stringset with tag 'crystalspace.shared.stringset' and 'Request()' an ID from that.
  map | The image from which this map will be made. If this is an indexed image then the integer index will be casted to float, diviced by 256 and then scaled+offset. If this is a 24-bit image then the three color components are averaged resulting in a value between 0 and 1 too.
  scale | The scale to apply to the map.
  offset | The offset to apply to the map.

Returns:
  false on error (bad dimension or image).

virtual void iPagingFormerState::SetFloatmapDir | ( | csStringID | type,
|  | const char * | path
| ) |  | `[pure virtual]`

Set a dir that contains only floatmaps named x0y0 and so on.

virtual void iPagingFormerState::SetHeightmapDir | ( | const char * | path,
|  | const char * | type = `"image"`
| ) |  | `[pure virtual]`

Set a dir that contains only the heightmaps named x0y0 and so on.

The optional second parameter can indicate raw heightmaps.

virtual bool iPagingFormerState::SetIntegerMap | ( | csStringID | type,
|  | iImage * | map,
|  | int | scale = `1`,
|  | int | offset = `0`
| ) |  | `[pure virtual]`

Set a generic additional integer map to be used.

Parameters:

  type | is the ID for this map. To get values of this you need to fetch the stringset with tag 'crystalspace.shared.stringset' and 'Request()' an ID from that.
  map | is the image from which this map will be made. This must be an indexed (palette) image.
  scale | The scale to apply to the map.
  offset | The offset to apply to the map.

Returns:
  false on error (bad dimension or image).

virtual void iPagingFormerState::SetIntmapDir | ( | csStringID | type,
|  | const char * | path
| ) |  | `[pure virtual]`

Set a dir that contains only intmaps named x0y0 and so on.

virtual void iPagingFormerState::SetOffset | ( | csVector3 | scale | ) | `[pure virtual]`

Set a offset to be applied to the heightmap region (X, Z) and height (Y)

virtual void iPagingFormerState::SetScale | ( | csVector3 | scale | ) | `[pure virtual]`

Set a scaling factor to be applied to the heightmap region (X, Z) and height (Y)

The documentation for this struct was generated from the following file:

- ivaria/pagingformer.h